.header {
    display: flex;
    flex-direction: row;
    height: 57px;
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    justify-content: space-between;
    border-bottom: 1px solid rgb(201, 195, 195);
    background-color: rgb(253, 253, 253);
    z-index: 200;
    margin-bottom: 50px;
}

.left-section {
    display: flex;
    flex-direction: row;
    margin-left: 20px;
    margin-right: 24px;
    justify-content: center;
    align-items: center;
    max-width: 180px;
    flex-shrink: 0;
}

.menu {
    height: 24px;
    margin-right: 16px;
    margin-left: 6px;
    cursor: pointer;
    
}

.logo {
    height: 24px;
    margin-left: 16px;
    cursor: pointer;
}

.middle-section {
    display: flex;
    flex-direction: row;
    flex: 1;
    justify-content: center;
    align-items: center;
    max-width: 470px;
    margin-left: 60px;
}

.search-bar {
    padding-left: 12px;
    height: 40px; 
    width: 0;
    min-width: 0;
    flex: 1;
    border: 1px solid rgb(204, 204, 204);
    font-size: 15px;
    box-shadow: inset 0px 1px 2px rgb(238, 238, 238);
    border-top-left-radius: 2px;
    border-bottom-left-radius: 2px;
}

.search-bar:focus {
    border: 1px solid blue;
    outline: none;
}


.button-search-bar {
    justify-content: center;
    align-items: center;
    padding-right: 16px;
    padding-left: 16px;
    border: 1px solid rgb(204, 204, 204);
    border-left: none;
    height: 43.5px;
    border-top-right-radius: 2px;
    border-bottom-right-radius: 2px;
    margin-right: 10px;
    cursor: pointer;
}

.button-voice-search {
    width: 40px;
    height: 40px;
    border-radius: 20px;
    border: none;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.search-bar-icon {
    height: 24px;
}

.voice-search-icon {
    height: 24px;
}

.button-search-bar,
.button-voice-search,
.tooltip-container {
    position: relative;
    display: flex;
    justify-content: center;
}

.button-search-bar .tooltip,
.button-voice-search .tooltip,
.tooltip-container .tooltip  {
    position: absolute;
    justify-content: center;
    align-items: center;
    opacity: 0;
    size: 12px;
    bottom: -50px;
    border-radius: 2px;
    background-color: rgb(121, 119, 119);
    color: rgb(255, 255, 255);
    padding: 8px 8px;
    white-space: nowrap;
    pointer-events: none;
    transition: opacity 0.15s;
}

.button-search-bar:hover .tooltip,
.button-voice-search:hover .tooltip,
.tooltip-container:hover .tooltip {
    opacity: 0.8;
}

.right-section {
    display: flex;
    flex-direction: row;
    width: 180px;
    margin-right: 24px;
    margin-left: 20px;
    justify-content: space-between;
    align-items: center;
    flex-shrink: 0;
}

.upload-icon, 
.youtube-icon,
.notifications-icon,
.youtube-apps-icon {
    height: 24px;
    cursor: pointer;
}

.notifications-icon {
    position: relative;
}

.notification-badge {
    position: absolute;
    display: flex;
    top: -3px;
    right: -5px;
    font-size: 12px;
    justify-content: center;
    align-items: center;
    color: rgb(255, 255, 255);
    background-color: rgb(181, 11, 11);
    border: solid white 1px;
    padding: 1px 5px;
    border-radius: 100px;
    pointer-events: none;
}

.my-channel-picture {
    height: 30px;
    cursor: pointer;
}
